Skip to main content
POST
/
v3
/
async
/
vidu-q3-pro-i2v
Vidu Q3 Pro Image-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/vidu-q3-pro-i2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "seed": 123,
  "audio": "<string>",
  "style": "<string>",
  "images": [
    "<string>"
  ],
  "is_rec": true,
  "prompt": "<string>",
  "wm_url": "<string>",
  "duration": 123,
  "off_peak": true,
  "watermark": true,
  "resolution": "<string>",
  "wm_position": "<string>",
  "aspect_ratio": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/vidu-q3-pro-i2v"

payload = {
"seed": 123,
"audio": "<string>",
"style": "<string>",
"images": ["<string>"],
"is_rec": True,
"prompt": "<string>",
"wm_url": "<string>",
"duration": 123,
"off_peak": True,
"watermark": True,
"resolution": "<string>",
"wm_position": "<string>",
"aspect_ratio": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
seed: 123,
audio: '<string>',
style: '<string>',
images: ['<string>'],
is_rec: true,
prompt: '<string>',
wm_url: '<string>',
duration: 123,
off_peak: true,
watermark: true,
resolution: '<string>',
wm_position: '<string>',
aspect_ratio: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/vidu-q3-pro-i2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Vidu Q3 Pro Image-to-Video transforms static images into dynamic videos with natural motion and smoother scene dynamics while maintaining subject consistency.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

seed
integer
Random seed for reproducibility; 0 or omit for random generationValue range: [0, 2147483647]
audio
string
Custom audio URL for video background music; supports mp3, wav, m4a, flac; max 20MB
style
string
default:"general"
Visual style of output; general for realistic, anime for animated styleOptional values: general, anime
images
string[]
required
Reference image URLs for video generation; supports .jpg, .jpeg, .png, .webp. Max file size 50MB per image; aspect ratio must be between 1:4 and 4:1. only support one image input now.
is_rec
boolean
default:false
Enable audio scene matching; when true, matches audio rhythm to video motion
prompt
string
Motion description for video generation; describes scene motion, actions, and dynamics.Length limit: 0 - 1500
wm_url
string
Custom watermark image URL; supports png, jpeg, jpg, webp; max 10MB
duration
integer
default:5
Video length in secondsValue range: [1, 16]
off_peak
boolean
default:false
Use off-peak pricing; when true, task is queued for off-peak processing at reduced cost
watermark
boolean
default:false
Enable watermark on output video
resolution
string
default:"720p"
Output video resolutionOptional values: 540p, 720p, 1080p
wm_position
string
Watermark position on videoOptional values: top-left, top-right, bottom-left, bottom-right
aspect_ratio
string
default:"16:9"
Output video aspect ratioOptional values: 16:9, 9:16, 4:3, 3:4, 1:1

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026